import Model from "../Data/Model.js";
import ContextModel from "./ContextModel.js";
export interface IStorageOptions {
    parent: ContextModel;
    data: any;
}
export default class StorageBase extends Model {
    private m_parent;
    constructor(options: IStorageOptions);
    get parent(): ContextModel;
    toJSON(): any;
}
